View Issue Details

IDProjectCategoryView StatusLast Update
0002204CaseTalk ModelerModel Validationpublic2019-07-08 10:16
ReporterBCP SoftwareAssigned ToBCP Software 
PrioritynormalSeveritytweakReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version9.7.0Fixed in Version9.7.0 
Summary0002204: Roles optionality needs tweaking
DescriptionRoles become optional if it is not mentioned in all the expression of the OTFT. However if there's a FTE which uses all roles, then the optionality should be dropped.
TagsNo tags attached.
CaseTalk Editionunknown

Activities

BCP Software

BCP Software

2019-07-05 17:59

administrator   ~0001469

Amendment:
If any of the roles is used in an OTE, which in turn is substituted by a role with a TC, all roles under the OTE are considered mandatory.
BCP Software

BCP Software

2019-07-05 18:13

administrator   ~0001470

This illustrates an OT with two OTE's. One of the OTE's is involved in a TC and one is not. This results in one optional role instead of two.
BCP Software

BCP Software

2019-07-05 18:14

administrator  

BCP Software

BCP Software

2019-07-06 11:36

administrator   ~0001471

(To determine the optionality of roles, is performed during an update on the OTFT, related TC's or adding expressions. This routine is no longer called during GLR or afterwards to honor the optionality of roles from the conceptual model.)
BCP Software

BCP Software

2019-07-06 13:08

administrator   ~0001474

The old FCOIM book shows a diagram on Pg217 (Fig6.19) in which Role 4 is substituted by both O1 and O2, therefor Role 2 remains optional. This causes the previous comment on this ticket to require further nuance.

Issue History

Date Modified Username Field Change
2019-07-05 16:41 BCP Software New Issue
2019-07-05 16:41 BCP Software Status new => assigned
2019-07-05 16:41 BCP Software Assigned To => BCP Software
2019-07-05 17:57 BCP Software Description Updated View Revisions
2019-07-05 17:59 BCP Software Note Added: 0001469
2019-07-05 18:13 BCP Software File Added: optional_role_with_or_without_tc.png
2019-07-05 18:13 BCP Software Note Added: 0001470
2019-07-05 18:14 BCP Software File Deleted: optional_role_with_or_without_tc.png
2019-07-05 18:14 BCP Software File Added: optional_role_with_or_without_tc.png
2019-07-05 18:56 BCP Software Status assigned => resolved
2019-07-05 18:56 BCP Software Resolution open => fixed
2019-07-05 18:56 BCP Software Fixed in Version => 9.7.0
2019-07-06 11:36 BCP Software Note Added: 0001471
2019-07-06 13:08 BCP Software Status resolved => assigned
2019-07-06 13:08 BCP Software Note Added: 0001474
2019-07-08 10:16 BCP Software Status assigned => resolved